# org.pdfclown.documents.Pages Class Reference

Document pages collection [PDF:1.6:3.6.2]. More...

Inheritance diagram for org.pdfclown.documents.Pages:

List of all members.

## Classes
class | Enumerator
## Public Member Functions
void | Add (Page page)
void | AddAll< TVar > (ICollection< TVar > pages)
void | Clear ()
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
bool | Contains (Page page)
void | CopyTo (Page[] pages, int index)
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
IEnumerator< Page > | GetEnumerator ()
override int | GetHashCode ()
IList< Page > | GetRange (int index, int count)
IList< Page > | GetSlice (int fromIndex, int toIndex)
int | IndexOf (Page page)
void | Insert (int index, Page page)
void | InsertAll< TVar > (int index, ICollection< TVar > pages)
bool | Remove (Page page)
int | RemoveAll (Predicate< Page > match)
void | RemoveAll< TVar > (ICollection< TVar > pages)
void | RemoveAt (int index)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
int | Count`[get]`
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
bool | IsReadOnly`[get]`
Page | this [int index]`[get, set]`

##

Document pages collection [PDF:1.6:3.6.2].

## Member Function Documentation

void org.pdfclown.documents.Pages.Add | ( | Page | page | ) |

Referenced by org.pdfclown.tools.PageManager.Split().

void org.pdfclown.documents.Pages.AddAll< TVar > | ( | ICollection< TVar > | pages | ) |

Type Constraints

  TVar | : | Page |

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

void org.pdfclown.documents.Pages.Clear | ( |  | ) |

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

bool org.pdfclown.documents.Pages.Contains | ( | Page | page | ) |

void org.pdfclown.documents.Pages.CopyTo | ( | Page[] | pages,
|  | int | index |
| ) |  |  |

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

IEnumerator<Page> org.pdfclown.documents.Pages.GetEnumerator | ( |  | ) |

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

IList<Page> org.pdfclown.documents.Pages.GetRange | ( | int | index,
|  | int | count |
| ) |  |  |

IList<Page> org.pdfclown.documents.Pages.GetSlice | ( | int | fromIndex,
|  | int | toIndex |
| ) |  |  |

int org.pdfclown.documents.Pages.IndexOf | ( | Page | page | ) |

References org.pdfclown.documents.Page.Index.

void org.pdfclown.documents.Pages.Insert | ( | int | index,
|  | Page | page |
| ) |  |  |

void org.pdfclown.documents.Pages.InsertAll< TVar > | ( | int | index,
|  | ICollection< TVar > | pages |
| ) |  |  |

Type Constraints

  TVar | : | Page |

bool org.pdfclown.documents.Pages.Remove | ( | Page | page | ) |

References org.pdfclown.objects.PdfObjectWrapper.BaseObject, org.pdfclown.objects.PdfInteger.IntValue, org.pdfclown.objects.PdfArray.Remove(), org.pdfclown.objects.PdfDictionary.Resolve(), and org.pdfclown.objects.PdfObject.Resolve().

int org.pdfclown.documents.Pages.RemoveAll | ( | Predicate< Page > | match | ) |

void org.pdfclown.documents.Pages.RemoveAll< TVar > | ( | ICollection< TVar > | pages | ) |

Type Constraints

  TVar | : | Page |

void org.pdfclown.documents.Pages.RemoveAt | ( | int | index | ) |

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

int org.pdfclown.documents.Pages.Count`[get]`

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

bool org.pdfclown.documents.Pages.IsReadOnly`[get]`

Page org.pdfclown.documents.Pages.this[int index]`[get, set]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.